package com.hxhq.business.enums.zykgl;

/**
 * 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色
 * 修改橙色，通过绿色，拒绝红色，其他都是蓝色
 * @author tanfei
 */
public enum JcmcysEnum {

    /**
     * 蓝色
     */
    blue(1, "蓝色"),

    /**
     * 红色
     */
    red(3, "红色"),

    /**
     * 绿色
     */
    green(5, "绿色"),

    /**
     * 橙色
     */
    orange(7, "橙色");

    private int value;
    private String text;

    JcmcysEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static JcmcysEnum getEnumByValue(int type) {
        for (JcmcysEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
